# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['hypotest_python3_sdk']

package_data = \
{'': ['*']}

install_requires = \
['PyJWT>=2.3.0,<3.0.0', 'pip-licenses>=3.5.3,<4.0.0', 'requests>=2.27.1,<3.0.0']

setup_kwargs = {
    'name': 'hypotest-python3-sdk',
    'version': '1.0.8',
    'description': '',
    'long_description': '# HypoTest Python3 SDK\n\n[![PyPI version](https://badge.fury.io/py/optimizely-sdk.svg)](https://pypi.org/project/hypotest-python3-sdk)\n[![Apache 2.0](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](http://www.apache.org/licenses/LICENSE-2.0)\n\nThis repository houses the official Python3 SDK for use with HypoTest Hypergrowth Experimentation Platform\n\n## Getting Started\n\n### Installing the SDK\n\nThe SDK is available through [PyPi](https://pypi.python.org/pypi?hypotest-python3-sdk&:action=display).\n\nTo install:\n\n    pip install hypotest-python3-sdk\n\n## Quick Usage\n\n```python\nimport hypotest\n\n# you can configure the SDK\'s token by setting the environment variable "HT_TOKEN"\n# or by code:\nhypotest.config(token=\'JKV1QiLC29tIiwiZXhwIjox\')\n\n# reporting an event, just input the event_name and user or visitor associated with the event\nhypotest.kpi_event(event_name=\'area/user_clicked_on_XXX\', user_id=\'u123\')\n\n# add a calibration experiment, it\'s that easy:)\nhypotest.experiment(experiment_name=\'area/feature/experiment_name\', user_id=\'u123\')\n\n\n# add your first running experiment with 2 variants\nif hypotest.experiment(experiment_name=\'area/feature/experiment_name\', user_id=\'u123\').is_control:\n    # your current code\n    pass\nelse:\n    # the new code\n    pass\n\n# link between visitor and user for experiment that start before the user login and end after,\n# so we can tell the full entity story, from visitor in the landing page until a user using the core product\nhypotest.match_user_visitor(user_id=\'u123\', visitor_id=\'123\')\n```',
    'author': 'lior brafman',
    'author_email': 'liorb87@gmail.com',
    'maintainer': 'Lior Brafman',
    'maintainer_email': 'liorb87@gmail.com',
    'url': 'https://github.com/HypoTest-io/hypotest-python3-sdk',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.4,<4.0',
}


setup(**setup_kwargs)
